---
inputType: CA10__CaAwsInstance__c
conditions:
  - status: COMPLIANT
    currentStateMessage: Test-1
    check:
      UNIT_TEST:
        id: Test-1
        expected:
           text: "unitTest(Test-1): null.size() == number(0.0)"
        arg:
          IS_EQUAL:
            left:
              SIZE:
                arg:
                  UNIT_TEST_NULL:
                    returnType: SET_OF_TEXT
            right:
              NUMBER: 0
  - status: COMPLIANT
    currentStateMessage: Test-2
    check:
      UNIT_TEST:
        id: Test-2
        expected:
          text: "unitTest(Test-2): setOfText([]).size() == number(0.0)"
        arg:
          IS_EQUAL:
            left:
              SIZE:
                arg:
                  SET:
                    itemType: TEXT
                    items: []
            right:
              NUMBER: 0
  - status: COMPLIANT
    currentStateMessage: Test-3
    check:
      UNIT_TEST:
        id: Test-3
        expected:
          text: "unitTest(Test-3): setOfText(['a', 'b', 'c']).size() == number(3.0)"
        arg:
          IS_EQUAL:
            left:
              SIZE:
                arg:
                  SET:
                    itemType: TEXT
                    items:
                      - a
                      - b
                      - c
            right:
              NUMBER: 3
  - status: COMPLIANT
    currentStateMessage: Test-4
    check:
      UNIT_TEST:
        id: Test-4
        expected:
          text: "unitTest(Test-4): setOfText(['a', 'a', 'a']).size() == number(1.0)"
        arg:
          IS_EQUAL:
            left:
              SIZE:
                arg:
                  SET:
                    itemType: TEXT
                    items:
                      - a
                      - a
                      - a
            right:
              NUMBER: 1
  - status: COMPLIANT
    currentStateMessage: Test-5
    check:
      UNIT_TEST:
        id: Test-5
        expected:
          text: "unitTest(Test-5): setOfText(['a', 'A', ' A ', '\\ta\\n\\r']).size() == number(1.0)"
        arg:
          IS_EQUAL:
            left:
              SIZE:
                arg:
                  SET:
                    itemType: TEXT
                    items:
                      - "a"
                      - "A"
                      - " A "
                      - "\ta\n\r"
            right:
              NUMBER: 1
otherwise:
  status: INCOMPLIANT
  currentStateMessage: Test Failed
  remediationMessage: Developer Fix Required